-- temporary ticket office
local movieFile = "test-v6";

local t = Def.ActorFrame{
	-- movie
	LoadActor( movieFile )..{
		InitCommand=cmd(Center);
		OnCommand=cmd(sleep,5;linear,2;diffusealpha,0);
	};
	
	Def.ActorFrame{
		Name="SSCLogo";
		InitCommand=cmd(Center);
		-- logo
		LoadActor( "_ssc ball" )..{
			InitCommand=cmd(diffusealpha,0);
			OnCommand=cmd(sleep,5;linear,2;zoom,0.75;diffusealpha,1;sleep,1;bouncebegin,0.5;zoom,0.5);
			OffCommand=cmd(diffusealpha,0);
		};
		-- distributed text
		LoadFont( "_frutiger 24px" )..{
			Text="Distributed by";
			InitCommand=cmd(diffusealpha,0;shadowlength,0;y,-172);
			OnCommand=cmd(sleep,8;accelerate,1;diffusealpha,1);
			OffCommand=cmd(linear,0.2;diffusealpha,0);
		};
		-- ssc text
		LoadActor( "_ssc text" )..{
			InitCommand=cmd(diffusealpha,0;y,64;zoom,0.7);
			OnCommand=cmd(sleep,8;accelerate,1;diffusealpha,1);
			OffCommand=cmd(linear,0.2;diffusealpha,0);
		};
		-- web
		LoadFont( "_frutiger 24px" )..{
			Text="http://ssc.ajworld.net/";
			InitCommand=cmd(diffusealpha,0;shadowlength,0;y,172);
			OnCommand=cmd(sleep,8;accelerate,1;diffusealpha,1);
			OffCommand=cmd(linear,0.2;diffusealpha,0);
		};
	};
};

return t;